# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0 

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 524 38 -91
spawnpoint @a[tag=dh.t_primoGiocatore] 523 38 -90
spawnpoint @a[tag=dh.t_secondoGiocatore] 524 38 -92


# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=484,y=39,z=-91,dx=5,dy=3,dz=5] run tp @s 487.0 39 -88.0

# Morte Giocatore
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:0s},scores={dh.o_dannoCactus=1..}] run tellraw @a[tag=dh.t_giocatori] {"translate":"\n%s ha deciso di abbracciare un cactus, chissà a cosa stava pensando.","color":"red","with":[{"selector":"@s"}]}
execute as @a[tag=dh.t_giocatori,scores={dh.o_dannoCactus=1..}] run kill @s
execute as @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run scoreboard players reset @s dh.o_dannoCactus

execute if entity @a[tag=dh.t_primoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl7.1G dh.o_morti 1
execute if entity @a[tag=dh.t_secondoGiocatore,nbt={DeathTime:1s}] run scoreboard players add #ContoMortiLvl7.2G dh.o_morti 1



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c1_g_livello_7/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c1_g_livello_7/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c1_g_livello_7/dh.f.d_effetti



# CB Titolo
execute if block 480 30 -99 minecraft:red_wool run data merge block 481 30 -102 {auto:1b}

# CB Indizio e Easter Egg
execute if block 513 42 -102 #minecraft:buttons[powered=true] run data merge block 482 30 -102 {auto:1b}

execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 482 30 -102 {auto:1b}

# Obiettivo Extra
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/g_extra7=false},nbt={Inventory:[{id:"minecraft:filled_map",tag:{map:173}}]}] at @a[tag=dh.t_giocatori] run playsound ui.toast.challenge_complete ambient @a[tag=dh.t_giocatori] ~ ~ ~ 1 2
execute if entity @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:extra/g_extra7=false},nbt={Inventory:[{id:"minecraft:filled_map",tag:{map:173}}]}] run advancement grant @a[tag=dh.t_giocatori] only dh.c_i_15_tesori_minecraftiani:extra/g_extra7



# CB Discorsi
execute as @e[tag=dh.t_avvioDiscorsi7,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=481,y=36,z=-89,distance=..14] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2,type=armor_stand] if entity @a[tag=dh.t_giocatori,x=479,y=36,z=-89,distance=..10,scores={dh.o_oggettiTOT=10},nbt={Inventory:[{id:"minecraft:gold_ingot"}]}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso3
execute if block 486 30 -99 minecraft:orange_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso4

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 483 30 -102 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 483 30 -102 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso3,type=armor_stand] run data merge block 483 30 -102 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso4,type=armor_stand] run data merge block 483 30 -102 {auto:1b}

# CB Discorsi Pre
execute unless entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 487 37 -72 #minecraft:buttons[powered=true] run data merge block 484 30 -102 {auto:1b}
execute unless score #Reliquia7 dh.o_reliquie matches 1 if block 462 45 -72 #minecraft:buttons[powered=true] run data merge block 484 30 -102 {auto:1b}



# CB Reliquia
execute if entity @e[tag=dh.t_tramoggia7,type=hopper_minecart,nbt={Items:[{Count:1b}]}] run data merge block 486 30 -102 {auto:1b}

# CB Anima Terra
execute if entity @a[tag=dh.t_giocatori,scores={dh.o_dannoAnima=1..}] run data merge block 487 30 -102 {auto:1b}



# CB Reset Oggetti
execute if block 518 38 -98 #minecraft:buttons[powered=true] run data merge block 488 30 -102 {auto:1b}

# Disattiva CB Timer Reset Oggetti
execute if score #ResetOggetti7 dh.o_tempoScorre matches 6000 run setblock 518 38 -98 minecraft:oak_button[face=wall,facing=east]
execute if score #ResetOggetti7 dh.o_tempoScorre matches 6000 run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_riavvioTimerResetOgg
execute if score #ResetOggetti7 dh.o_tempoScorre matches 6000 run data merge block 492 30 -102 {auto:0b}

# Cartello Reset Oggetti
execute if block 518 38 -98 minecraft:oak_wall_sign run data merge block 518 38 -98 {Text3:'{"translate":"%s:%s","color":"red","with":[{"score":{"name":"#ResetOggMinuti","objective":"dh.o_tempoSecLvl"}},{"score":{"name":"#ResetOggSecondi","objective":"dh.o_tempoSecLvl"}}]}'}



# CB Porte Celle
execute if entity @a[tag=dh.t_giocatori,tag=!dh.t_disattivaCB,x=481,y=34,z=-79,dx=7,dy=7,dz=12] run data merge block 489 30 -102 {auto:1b}
execute unless entity @a[tag=dh.t_giocatori,x=481,y=34,z=-79,dx=7,dy=7,dz=12] run data merge block 489 30 -102 {auto:0b}



# CB Pulsanti (Finti, Primo Tp, Secondo Tp)
execute if block 463 37 -104 #minecraft:buttons[powered=true] run data merge block 490 30 -102 {auto:1b}
execute if block 458 36 -103 #minecraft:buttons[powered=true] run data merge block 490 30 -102 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_richiestaCompletata,type=armor_stand] if block 487 37 -72 #minecraft:buttons[powered=true] run data merge block 490 30 -102 {auto:1b}

execute if block 462 45 -72 #minecraft:buttons[powered=true] if score #Reliquia7 dh.o_reliquie matches 1 run data merge block 490 30 -102 {auto:1b}



# CB Ritorno al Livello
execute if block 490 30 -99 minecraft:red_wool if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] run data merge block 491 30 -102 {auto:1b}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 490 30 -99 minecraft:yellow_wool unless score #Reliquia7 dh.o_reliquie matches 1 if entity @a[tag=dh.t_giocatori,scores={dh.o_tempoSecLvl=420}] unless entity @e[tag=dh.t_cassaReliquia7,type=magma_cube] run summon minecraft:magma_cube 511 26.5 -85 {Invulnerable:1b,NoAI:1b,Silent:1b,PersistenceRequired:1b,Size:1,ActiveEffects:[{Id:14,ShowParticles:0b,Duration:1000000},{Id:24,ShowParticles:0b,Duration:1000000}],Tags:["dh.t_cassaReliquia7"]}

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 490 30 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia7,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=511,y=27,z=-85,distance=..5] run effect clear @e[tag=dh.t_cassaReliquia7,type=magma_cube] glowing
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 490 30 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia7,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=511,y=27,z=-85,distance=..5] at @e[tag=dh.t_cassaReliquia7,type=magma_cube] run tp @e[tag=dh.t_cassaReliquia7,type=magma_cube] ~ ~-100 ~
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 490 30 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia7,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=511,y=27,z=-85,distance=..5] run data merge entity @e[tag=dh.t_cassaReliquia7,type=magma_cube,limit=1] {NoAI:0b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_ritornoLivelli,type=armor_stand] if block 490 30 -99 minecraft:yellow_wool if entity @e[tag=dh.t_cassaReliquia7,type=magma_cube] if entity @a[tag=dh.t_giocatori,x=511,y=27,z=-85,distance=..5] run setblock 490 30 -99 minecraft:lime_wool