# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0 

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 751 23 -53
spawnpoint @a[tag=dh.t_primoGiocatore] 751 23 -52
spawnpoint @a[tag=dh.t_secondoGiocatore] 751 23 -55



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,tag=!dh.t_ottieniCreativa,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,tag=!dh.t_ottieniCreativa,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=741,y=21,z=-71,dx=17,dy=16,dz=29] run tp @s 750 23 -58



# Entità e Blocchi
function dh.c_i_15_tesori_minecraftiani:dh.c6_riassunto/dh.f.b_entita_blocchi

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c6_riassunto/dh.f.c_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c6_riassunto/dh.f.d_effetti



# Obiettivi primari
execute as @a[tag=dh.t_giocatori,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_5=false}] if score IndiziUsati dh.o_indizi matches 0 unless entity @e[tag=dh.t_nuvolaObiettivo,type=minecraft:area_effect_cloud] run summon minecraft:area_effect_cloud 753 35 -54 {Particle:"minecraft:ambient_entity_effect",Duration:31,Tags:["dh.t_nuvolaObiettivo"]}

execute if entity @e[tag=dh.t_nuvolaObiettivo,type=area_effect_cloud,nbt={Age:20}] as @a[tag=dh.t_giocatori] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute if entity @e[tag=dh.t_nuvolaObiettivo,type=area_effect_cloud,nbt={Age:20}] as @a[tag=dh.t_giocatori] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_5

# CB Easter Egg
execute if entity @e[tag=!dh.t_easterEgg,type=rabbit] run data merge block 750 35 -55 {auto:1b}



# Creativa 
execute if block 750 26 -64 #buttons[powered=true] run data merge block 750 35 -56 {auto:1b}